Bug 182227 - Reporting Errors for Scim tables for Bengali
Reporting Errors for Scim tables for Bengali
Product: Fedora
Classification: Fedora
Component: m17n-db (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mayank Jain
: i18n
Depends On:
Blocks: Indic
  Show dependency treegraph
Reported: 2006-02-21 01:00 EST by Runa Bhattacharjee
Modified: 2013-03-03 21:20 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-06-02 08:52:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
corrections for bn-inscript.mim (1.82 KB, application/octet-stream)
2006-02-21 01:01 EST, Runa Bhattacharjee
no flags Details
corrections for bn-itrans.mim (2.84 KB, patch)
2006-02-21 01:02 EST, Runa Bhattacharjee
no flags Details | Diff
corrections for bn-probhat.mim (1.20 KB, application/octet-stream)
2006-02-21 01:03 EST, Runa Bhattacharjee
no flags Details

  None (edit)
Description Runa Bhattacharjee 2006-02-21 01:00:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20060130 Red Hat/1.0.7-1.4.3 Firefox/1.0.7

Description of problem:
Errors in the existing Scim tables for Bengali:
1. Inscript
2. Probhat
3. Itrans
4. Unijoy [not tested due to pending legal advise]

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Activate Scim IME
2.Choose Aprropriate Language i.e. Bengali and layout

Actual Results:  Wrong representation of a few keypoints and missing keypoints

Expected Results:  The modified keypoints have been mentioned in the attached files:
1. bn-inscript-revised.mim
2. bn-probhat-revised.mim
3. bn-itrans-revised.mim

Additional info:

Since some of the keypoints could not be keyed in, the Unicode values of the characters to be represented have been mentioned.
Comment 1 Runa Bhattacharjee 2006-02-21 01:01:55 EST
Created attachment 124939 [details]
corrections for bn-inscript.mim
Comment 2 Runa Bhattacharjee 2006-02-21 01:02:33 EST
Created attachment 124940 [details]
corrections for bn-itrans.mim
Comment 3 Runa Bhattacharjee 2006-02-21 01:03:07 EST
Created attachment 124941 [details]
corrections for bn-probhat.mim
Comment 4 Jens Petersen 2006-03-01 08:29:39 EST
Runa, could you attach the final corrected versions of the .mim files
to make it easier for me to merge in your fixes.
Comment 5 Jens Petersen 2006-03-01 09:42:05 EST
Ignore comment 4 - your changes are quite clear and well documented. :)

A couple of comments:

1) in bn-probhat-revised.mim:
  -("$" ?৳) <-- this is actually U09F3
  +("$" ?<Bangladeshi Currency symbol U09F3>)
perhaps it is a font issue?

2) in bn-itrans-revised.mim:
<!--These alphabets and dependent vowels are not used in modern bengali. Most of
the other keymaps do not provide them either--!>
<!--Not Unicode recognised codepoints--!>

So you think those mappings should be removed?
Comment 6 Jens Petersen 2006-03-01 09:49:38 EST
Also this:

  -("t.h" "ৎ")
  +("t.h" "<U09CE>")

is the same, no?
Comment 7 Runa Bhattacharjee 2006-03-06 01:39:03 EST
Answer to comment 5:
#1.. it looks like a font issue
#2.. better to remove as they are not in unicode anyways

Answer to comment 6:
i put that in just for clarification.. coz the box might have created a confusion.

Comment 8 Jens Petersen 2006-03-09 03:14:54 EST
More questions:

1) I take it it is ok to remove these too:

  ("LLi" (delete @-) "ৢ")		; not in ITRANS Bengali table
  ("L^i" (delete @-) "ৢ")		; not in ITRANS Bengali table


2) These:

  ("#" "্র")				; not in ITRANS Bengali table
  ("$" "র্")				; not in ITRANS Bengali table
  ("^" "ত্র")				; not in ITRANS Bengali table
  ("*" "শ্র")				; not in ITRANS Bengali table

are bad because they are combinations of codepoints?
Comment 9 Runa Bhattacharjee 2006-03-09 03:22:16 EST
1) yup. should not be a problem
2) they are not unicode recognised codepoints these are like conjuncts or
semiconjuncts someone put in as they are used a lot. no official endorsement so
far. we did not include it in iiimf-inscript either
Comment 10 Jens Petersen 2006-03-09 21:28:32 EST
They have been removed in 1.3.3-2.
Comment 11 Runa Bhattacharjee 2006-06-02 08:52:09 EDT

Note You need to log in before you can comment on or make changes to this bug.